%define upstream_name    Test-Most
%define upstream_version 0.31

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Most commonly needed test functions and features
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exception::Class) >= 1.140.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build) >= 0.400.0
BuildRequires: perl(Test::Deep) >= 0.106.0
BuildRequires: perl(Test::Differences) >= 0.610.0
BuildRequires: perl(Test::Exception) >= 0.310.0
BuildRequires: perl(Test::Harness) >= 3.210.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Warn) >= 0.230.0
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
#make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.310.0-3.mga4
+ Revision: 515204
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.310.0-2.mga3
+ Revision: 373660
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 0.310.0-1.mga3
+ Revision: 295069
- update to 0.31
- update to 0.25

* Tue Jun 21 2011 jquelin <jquelin> 0.240.0-1.mga2
+ Revision: 111454
- update to 0.24

* Sat Jan 22 2011 jquelin <jquelin> 0.230.0-1.mga1
+ Revision: 32454
- mageia rebuild
- imported package perl-Test-Most

